Subject: bug#12299: closed (Re: bug#12299: 24.1; no byte compiler warning for inline function call with too few arguments)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 06 Dec 2021 23:37:02 +0000

Your bug report

#12299: 24.1; no byte compiler warning for inline function call with too few arguments

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
12299: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=12299
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#12299: 24.1; no byte compiler warning for inline function call with too few arguments
From: Stefan Kangas <[email-masked]>
To: Mattias Engdegård <[email-masked]>
Cc: [email-masked], Lars Ingebrigtsen <[email-masked]>, Stefan Monnier <[email-masked]>, Roland Winkler <[email-masked]>
Date: Tue, 7 Dec 2021 00:36:36 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Mattias Engdegård <[email-masked]> writes:

> Thanks for testing it -- pushed to master, slightly simplified
> (somehow I completely missed the existence of `func-arity`)

It seems like this bug was fixed, so I'm closing it now.

commit 109ca1bd00b56ba66b123b505d8c2187fded0ef7
Author: Mattias Engdegård <[email-masked]>
Date:   Thu Jul 22 15:00:17 2021 +0200

    Warn about arity errors in inlining calls (bug#12299)

Subject: 24.1; no byte compiler warning for inline function call with too few arguments
From: "Roland Winkler" <[email-masked]>
To: [email-masked]
Date: Tue, 28 Aug 2012 21:14:06 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

cat > foo.el << EOF
(defsubst foo (a b))
(foo t)
EOF

Byte-compile the above file. The Emacs 24.1 byte compiler does not
complain that the inline function foo is called with too few arguments.
Emacs 23.1 complains

  foo.el:2:1:Warning: attempt to open-code `anonymous lambda' with
    too few arguments

till it aborts with

  foo.el:2:1:Error: Variable binding depth exceeds max-specpdl-size

which I do not find very appropriate either.

In GNU Emacs 24.1.1 (x86_64-unknown-linux-gnu, GTK+ Version 2.20.1)
 of 2012-06-10 on regnitz
Windowing system distributor `The X.Org Foundation', version 11.0.10706000